Summary:	A statically linked shell, including some built-in basic commands
Name:		sash
Version:	3.7
Release:	3mdk
License:	GPL
Group:		Shells
Url:		http://www.canb.auug.org.au/~dbell/
Source0:	http://www.canb.auug.org.au/~dbell/programs/%{name}-%{version}.tar.bz2
Patch0:		sash-3.5-optflags.patch.bz2
Patch2: 	sash-3.4-losetup.patch.bz2
Patch3: 	sash-3.4-fix-loop__remove_it_when_kernel_headers_are_fixed.patch.bz2
Patch4:		sash-3.7-linux2.6-buildfix.patch.bz2
Patch5:		sash-3.6-scriptarg.patch.bz2
Patch6:		sash-pwdfunc.patch.bz2
Patch7:		sash-3.7-segfault.patch.bz2
Patch8:		sash-3.7-special-script-call-esp-for-glibc-post.patch.bz2

Conflicts:      glibc < 6:2.3.3-2mdk
BuildRequires:	zlib-devel glibc-static-devel e2fsprogs-devel
Buildroot:	%_tmppath/%name-%version-%release-buildroot

%description
Sash is a simple, standalone, statically linked shell which includes
simplified versions of built-in commands like ls, dd and gzip.  Sash
is statically linked so that it can work without shared libraries, so
it is particularly useful for recovering from certain types of system
failures.  Sash can also be used to safely upgrade to new versions of
shared libraries.

%prep
%setup -q
%patch0 -p1 -b ".misc"
%patch2 -p1 -b ".losetup"
%patch3 -p1
%patch4 -p1 -b .peroyvind
%patch5 -p1 -b .scriptarg
%patch6 -p1 -b ".pwd"
%patch7 -p1 -b ".segf"
%patch8 -p1 -b ".scriptarg" -z .pix

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

install -s -m755 sash -D $RPM_BUILD_ROOT/sbin/sash
install -m644 sash.1 -D $RPM_BUILD_ROOT%_mandir/man8/sash.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/sbin/sash
%_mandir/*/*

%changelog
* Wed Jun  2 2004 Pixel <pixel@mandrakesoft.com> 3.7-3mdk
- fedora patch sash-3.6-scriptarg broke --ignore-remaining-args special option

* Sat Apr 17 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.7-2mdk
- fix buildrequires

* Sat Apr 17 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.7-1mdk
- 3.7
- fix build with 2.6 kernel headers
- sync with fedora (P5, P6 & P7)
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install

* Fri Jan 16 2004 Pixel <pixel@mandrakesoft.com> 3.6-5mdk
- really remove the "grep" require :-/

* Fri Jan 16 2004 Pixel <pixel@mandrakesoft.com> 3.6-4mdk
- remove require on "grep"
  (was added long ago together with rpm-helper for add-shell and del-shell
   which were removed since then)

* Wed Jan  7 2004 Pixel <pixel@mandrakesoft.com> 3.6-3mdk
- really conflicts with glibc < 6:2.3.3-2mdk

* Mon Jan 05 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.6-2mdk
- fix conflicts with glibc

* Fri Jan  2 2004 Pixel <pixel@mandrakesoft.com> 3.6-1mdk
- new release
- still allow "#!/sbin/sash", but warn that it is deprecated by "#!/sbin/sash -f"
- cleaner way to handle glibc's %%post (which calls with an extra argument)

* Mon May  5 2003 Pixel <pixel@mandrakesoft.com> 3.5-6mdk
- add "BuildRequires: glibc-static-devel"

* Mon Jan 13 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.5-5mdk
- remove rpm-helper usage for drakx

* Tue Nov 05 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.5-4mdk
- Prereq:  grep, rpm-helper >= 0.7
- use new shell helpers

* Tue Aug 20 2002 Pixel <pixel@mandrakesoft.com> 3.5-3mdk
- make rpmlint happy

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.5-2mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Wed Mar 20 2002 Pixel <pixel@mandrakesoft.com> 3.5-1mdk
- new release

* Sat Feb  2 2002 Pixel <pixel@mandrakesoft.com> 3.4-10mdk
- add Url

* Thu Sep  6 2001 Pixel <pixel@mandrakesoft.com> 3.4-9mdk
- rebuild

* Wed Jun 27 2001 Stefan van der Eijk <stefan@eijk.nu> 3.4-8mdk
- BuildRequires:	zlib-devel

* Tue May 01 2001 David BAUDENS <baudens@mandrakesoft.com> 3.4-7mdk
- Use %%_tmppath for BuildRoot

* Thu Nov 16 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.4-6mdk
- ignore extra command line arguments.

* Thu Nov  2 2000 Pixel <pixel@mandrakesoft.com> 3.4-5mdk
- fix build (fix-loop__remove_it_when_kernel_headers_are_fixed)

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 3.4-4mdk
- cleanup, BM, macroization

* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 3.4-3mdk
- new group

* Mon Mar 13 2000 Pixel <pixel@mandrakesoft.com> 3.4-2mdk
- new version

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- rebuild to gzip man page

* Mon Oct 04 1999 Cristian Gafton <gafton@redhat.com>
- rebuild against new glibc in the sparc tree

* Mon Aug  2 1999 Jeff Johnson <jbj@redhat.com>
- upgrade to 3.3 (#4301).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build
